# Class ReparseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.xml.sax.SAXException
com.thaiopensource.validate.auto.ReparseException

All Implemented Interfaces:
  `Serializable`

public abstract class ReparseException extends SAXException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReparseException()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Schema`
  `reparse(SAXSource source)`

  ### Methods inherited from class org.xml.sax.SAXException

  `getCause, getException, getMessage, toString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReparseException

    public ReparseException()

- ## Method Details

  - ### reparse

    public abstract Schema reparse(SAXSource source) throws IncorrectSchemaException, SAXException, IOException
    Throws:
      `IncorrectSchemaException`
      `SAXException`
      `IOException`